# Accessibility::Action Interface Reference

`import "Accessibility_Action.idl";`

## Public Member Functions

string | getDescription (in long index)
string | getName (in long index)
boolean | doAction (in long index)
string | getKeyBinding (in long index)

## Data Fields

readonly attribute long | nActions

## Detailed Description

An interface through which a user-actionable user interface component can be manipulated. Components which react to mouse or keyboard input from the user, (with the exception of pure text entry fields with no other function), should implement this interface. Typical actions include "click", "press", "release" (for instance for buttons), "menu" (for objects which have context menus invokable from mouse or keyboard), "open" for icons representing files folders, and others.

## Member Function Documentation

boolean Accessibility::Action::doAction | ( | in long | index | ) |

doAction:

Parameters:

  | index,: | the 0-based index of the action to perform.

Causes the object to perform the specified action.

Returns:
  : a `boolean` indicating success or failure.

string Accessibility::Action::getDescription | ( | in long | index | ) |

getDescription:

Parameters:

  | index,: | the index of the action for which a description is desired.

Get the description of the specified action. The description of an action may provide information about the result of action invocation, unlike the action name.

See also:
  getName.

Returns:
  : a `string` containing the description of the specified action.

string Accessibility::Action::getKeyBinding | ( | in long | index | ) |

getKeyBinding:

Parameters:

  | index,: | the 0-based index of the action for which a key binding is requested.

Get the key binding associated with a specific action.

Returns:
  : a `string` containing the key binding for the specified action, or an empty string ("") if none exists.

string Accessibility::Action::getName | ( | in long | index | ) |

getName:

Parameters:

  | index,: | the index of the action whose name is requested.

Get the name of the specified action. Action names generally describe the user action, i.e. "click" or "press", rather then the result of invoking the action.

Returns:
  : a `string` containing the name of the specified action.

## Field Documentation

readonly attribute long Accessibility::Action::nActions

nActions: a `long` containing the number of actions this object supports.

The documentation for this interface was generated from the following file:

- /home/gnome-dev/src/at-spi/idl/Accessibility_Action.idl